/*
 * @FilePath: \wwwd:\code\screenFront\src\http\energyConsume\index.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-14 11:10:38
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import {get,post} from "@/utils/http"

//用电量
export function getPowerData(data:any){
    return get('/s/getPowerData',data)
}
//用部门详细能耗
export function getconsumeDetail(){
    return get('/device/consumeDetail')
}
//部门同比
export function getcurrentRate(){
    return get('/device/currentRate')
}
//生产额 用电量接口
export function getcurrentProduct(){
    return get('/device/currentProduct')
}
//部门同比机械分厂
export function getcurrentRateMF(){
    return get('/device/currentRateMF')
}
//生产额机械分厂
export function getcurrentProductMF(){
    return get('/device/currentProductMF')
}
// 历史用气量
export function getHistoryGasData(){
    return get('/device/getHistoryGas')
}
//历史用水量
export function getHistoryWaterData(){
    return get('/device/getHistoryWater')
}
//历史用电量
export function getHistoryCurrentData(){
    return get('/device/getHistoryCurrent')
}
